package com.supervision.grassrootsregistration.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.supervision.common.annotation.Excel;
import com.supervision.common.core.domain.BaseEntity;
import com.supervision.grassrootsregistration.domain.BdglWeekworkRegister;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 一周工作安排对象 bdgl_weekwork
 *
 * @author supervision
 * @date 2022-02-28
 */
public class BdglWeekwork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 工作标题 */
    @Excel(name = "工作标题")
    private String name;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 连值班领导 */
    @Excel(name = "连值班领导")
    private Integer peopleId;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 军事长官 */
    @Excel(name = "军事长官")
    private Long peopleId1;

    /** 政治长官 */
    @Excel(name = "政治长官")
    private Long peopleId2;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 单位 */
    @Excel(name = "单位")
    private Integer unitId;

    /** 填写人 */
    @Excel(name = "填写人")
    private Integer adminId;
    /** 连值班领导姓名 */
    @Excel(name = "连值班领导姓名")
    private String peopleName;

    /** 军事长官姓名 */
    @Excel(name = "军事长官姓名")
    private String people1Name;

    /** 政治长官姓名 */
    @Excel(name = "政治长官姓名")
    private String people2Name;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 填写人姓名 */
    @Excel(name = "填写人姓名")
    private String adminName;

    private String organizer;

    private String date;
    private String date1;
    private String date2;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getDate1() {
        return date1;
    }

    public void setDate1(String date1) {
        this.date1 = date1;
    }

    public String getDate2() {
        return date2;
    }

    public void setDate2(String date2) {
        this.date2 = date2;
    }

    public String getOrganizer() {
        return organizer;
    }

    public void setOrganizer(String organizer) {
        this.organizer = organizer;
    }

    public String getPeopleName() {
        return peopleName;
    }

    public void setPeopleName(String peopleName) {
        this.peopleName = peopleName;
    }

    public String getPeople1Name() {
        return people1Name;
    }

    public void setPeople1Name(String people1Name) {
        this.people1Name = people1Name;
    }

    public String getPeople2Name() {
        return people2Name;
    }

    public void setPeople2Name(String people2Name) {
        this.people2Name = people2Name;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    /** 一周安排工作分信息 */
    private List<BdglWeekworkRegister> bdglWeekworkRegisterList;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setPeopleId(Integer peopleId)
    {
        this.peopleId = peopleId;
    }

    public Integer getPeopleId()
    {
        return peopleId;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setPeopleId1(Long peopleId1)
    {
        this.peopleId1 = peopleId1;
    }

    public Long getPeopleId1()
    {
        return peopleId1;
    }
    public void setPeopleId2(Long peopleId2)
    {
        this.peopleId2 = peopleId2;
    }

    public Long getPeopleId2()
    {
        return peopleId2;
    }
    public void setTime(Date time)
    {
        this.time = time;
    }

    public Date getTime()
    {
        return time;
    }
    public void setUnitId(Integer unitId)
    {
        this.unitId = unitId;
    }

    public Integer getUnitId()
    {
        return unitId;
    }
    public void setAdminId(Integer adminId)
    {
        this.adminId = adminId;
    }

    public Integer getAdminId()
    {
        return adminId;
    }

    public List<BdglWeekworkRegister> getBdglWeekworkRegisterList()
    {
        return bdglWeekworkRegisterList;
    }

    public void setBdglWeekworkRegisterList(List<BdglWeekworkRegister> bdglWeekworkRegisterList)
    {
        this.bdglWeekworkRegisterList = bdglWeekworkRegisterList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("peopleId", getPeopleId())
                .append("phone", getPhone())
                .append("peopleId1", getPeopleId1())
                .append("peopleId2", getPeopleId2())
                .append("time", getTime())
                .append("remark", getRemark())
                .append("unitId", getUnitId())
                .append("adminId", getAdminId())
                .append("bdglWeekworkRegisterList", getBdglWeekworkRegisterList())
                .toString();
    }
}